Subject: git status doesn't ignore GIT_DIR directory?

From: Thorsten von Eicken <[email-masked]>
Date: Fri, 22 May 2015 18:03:38 -0700

I renamed my .git directory to _git and I'm surprised that git status 
thinks that it's an untracked file:

$ GIT_DIR=_git git status
On branch master
Your branch is up-to-date with 'origin/master'.

Untracked files:
   (use "git add <file>..." to include in what will be committed)

         _git/

nothing added to commit but untracked files present (use "git add" to track)

This doesn't seem to make sense, shouldn't git ignore whatever $GIT_DIR 
points to? Or is there some other magic option I need to use for it to 
do what I expect?